%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-Acme-Comment
Version:	1.04
Release:	5%{?dist}
Summary:	Acme::Comment allows multi-line comments which are filtered out.
Group:		Development/Libraries
License:	Unknown or Artistic
URL:		http://search.cpan.org/~bingos/Acme-Comment-1.04/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Acme-Comment-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Text::Balanced) >= 1.99
BuildRequires:	perl(Test::More)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Acme::Comment allows multi-line comments which are filtered out.
Unlike the pseudo multi-line comment if (0) {}, the code beingi 
commented out need not be syntactically valid.

%prep
%setup -q -n Acme-Comment-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -empty -exec rmdir {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%{_fixperms} $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.04-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.04-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.04-2
- Rebuilt for fc22

* Thu Oct 06 2011 momo-i <webmaster@momo-i.org> - 1.04-1
- Initial rpm release
